# fileio_type.h File Reference

Types for Standard In/Out file operations. More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Enumerations

enum | Subdirectory { BASE_DIR, SAVE_DIR, AUTOSAVE_DIR, SCENARIO_DIR, HEIGHTMAP_DIR, GM_DIR, DATA_DIR, LANG_DIR, AI_DIR, AI_LIBRARY_DIR, NUM_SUBDIRS, NO_DIRECTORY }
| The different kinds of subdirectories OpenTTD uses. More...
enum | Searchpath { SP_FIRST_DIR, SP_WORKING_DIR = SP_FIRST_DIR, SP_PERSONAL_DIR, SP_SHARED_DIR, SP_BINARY_DIR, SP_INSTALLATION_DIR, SP_APPLICATION_BUNDLE_DIR, SP_AUTODOWNLOAD_DIR, NUM_SEARCHPATHS }
| Types of searchpaths OpenTTD might use. More...

## Functions

| DECLARE_POSTFIX_INCREMENT (Searchpath)

## Detailed Description

Types for Standard In/Out file operations.

Definition in file fileio_type.h.

## Enumeration Type Documentation

enum Searchpath

Types of searchpaths OpenTTD might use.

Enumerator:

  SP_WORKING_DIR | Search in the working directory.
  SP_PERSONAL_DIR | Search in the personal directory.
  SP_SHARED_DIR | Search in the shared directory, like 'Shared Files' under Windows.
  SP_BINARY_DIR | Search in the directory where the binary resides.
  SP_INSTALLATION_DIR | Search in the installation directory.
  SP_APPLICATION_BUNDLE_DIR | Search within the application bundle.
  SP_AUTODOWNLOAD_DIR | Search within the autodownload directory.

Definition at line 38 of file fileio_type.h.

enum Subdirectory

The different kinds of subdirectories OpenTTD uses.

Enumerator:

  BASE_DIR | Base directory for all subdirectories.
  SAVE_DIR | Base directory for all savegames.
  AUTOSAVE_DIR | Subdirectory of save for autosaves.
  SCENARIO_DIR | Base directory for all scenarios.
  HEIGHTMAP_DIR | Subdirectory of scenario for heightmaps.
  GM_DIR | Subdirectory for all music.
  DATA_DIR | Subdirectory for all data (GRFs, sample.cat, intro game).
  LANG_DIR | Subdirectory for all translation files.
  AI_DIR | Subdirectory for all AI files.
  AI_LIBRARY_DIR | Subdirectory for all AI libraries.
  NUM_SUBDIRS | Number of subdirectories.
  NO_DIRECTORY | A path without any base directory.

Definition at line 20 of file fileio_type.h.